pcl::tracking::ParticleXYR Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::ParticleXYR:

## Public Member Functions

| ParticleXYR ()
| ParticleXYR (float _x, float, float _z)
| ParticleXYR (float _x, float, float _z, float, float _pitch, float)
void | sample (const std::vector< double > &mean, const std::vector< double > &cov)
void | zero ()
Eigen::Affine3f | toEigenMatrix () const
float | operator[] (unsigned int i)

## Static Public Member Functions

static int | stateDimension ()
static pcl::tracking::ParticleXYR | toState (const Eigen::Affine3f &trans)

## Additional Inherited Members

Public Attributes inherited from pcl::tracking::_ParticleXYR
| PCL_ADD_POINT4D
union {
struct {
float roll
float pitch
float yaw
float weight
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 679 of file tracking.hpp.

## Constructor & Destructor Documentation

## ParticleXYR() [1/3]

pcl::tracking::ParticleXYR::ParticleXYR | ( |  | ) |

inline

Definition at line 681 of file tracking.hpp.

## ParticleXYR() [2/3]

pcl::tracking::ParticleXYR::ParticleXYR | ( | float | _x,
|  | float | ,
|  | float | _z
| ) |  |

inline

Definition at line 687 of file tracking.hpp.

## ParticleXYR() [3/3]

pcl::tracking::ParticleXYR::ParticleXYR | ( | float | _x,
|  | float | ,
|  | float | _z,
|  | float | ,
|  | float | _pitch,
|  | float |
| ) |  |

inline

Definition at line 694 of file tracking.hpp.

## Member Function Documentation

## operator[]()

float pcl::tracking::ParticleXYR::operator[] | ( | unsigned int | i | ) |

inline

Definition at line 743 of file tracking.hpp.

## sample()

void pcl::tracking::ParticleXYR::sample | ( | const std::vector< double > & | mean,
|  | const std::vector< double > & | cov
| ) |  |

inline

Definition at line 705 of file tracking.hpp.

References pcl::tracking::sampleNormal().

## stateDimension()

static int pcl::tracking::ParticleXYR::stateDimension | ( |  | ) |

inline static

Definition at line 702 of file tracking.hpp.

## toEigenMatrix()

Eigen::Affine3f pcl::tracking::ParticleXYR::toEigenMatrix | ( |  | ) | const

inline

Definition at line 727 of file tracking.hpp.

References pcl::getTransformation().

## toState()

static pcl::tracking::ParticleXYR pcl::tracking::ParticleXYR::toState | ( | const Eigen::Affine3f & | trans | ) |

inline static

Definition at line 733 of file tracking.hpp.

References pcl::getTranslationAndEulerAngles().

## zero()

void pcl::tracking::ParticleXYR::zero | ( |  | ) |

inline

Definition at line 716 of file tracking.hpp.

The documentation for this struct was generated from the following file:

- pcl/tracking/impl/tracking.hpp